summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-gfx/gimp: Drop 2.99.2*Andreas Sturmlechner5 days3-509/+0
| | | | | | | We don't need more than one pre-release version w/o keywords. Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: Drop 2.10.20-r3 and 2.10.22-r1Andreas Sturmlechner5 days3-427/+0
| | | | | Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: Stabilize 2.10.22-r2 arm64, #769014Sam James7 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: Stabilize 2.10.22-r2 ppc64, #769014Sam James7 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: Stabilize 2.10.22-r2 x86, #769014Sam James7 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: Stabilize 2.10.22-r2 amd64, #769014Sam James7 days1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* */*: Remove obsolete values from PYTHON_COMPATMichał Górny2021-01-314-4/+4
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-gfx/gimp: 2.10.22 add fix autoconf-2.70 compatibilityband-a-prend2021-01-111-0/+213
| | | | | | | | | | Ported to EAPI-7. Closes: https://bugs.gentoo.org/750575 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/19031 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
* media-gfx/gimp: restrict <gimp-2.99.4 with <media-libs/gegl-0.4.28Sergey Torokhov2020-12-294-0/+4
| | | | | | | | | | | | | | | | | | | Starting with gegl-0.4.24 gegl:introspect function is disabled if optional dependency media-gfx/graphviz package isn't instaled resulting in failed to start <gimp-2.99.4 with error message: GEGL operation missing! GIMP requires the GEGL operation "gegl:introspect". This operation cannot be found. Check your GEGL install and ensure it has been compiled with any dependencies required for GIMP. Gimp-2.99.4 doesn't have this problem with gegl0.4.28 so early gimp version are upper restricted with <gegl-0.4.28 now. Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/18861 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: 2.99.4 version bumpSergey Torokhov2020-12-292-0/+255
| | | | | Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp/gimp: migrate to lua-single.eclassMarek Szuba2020-12-262-12/+277
| | | | | | | | | | Latest 2.99 and the live ebuild; older versions do not depend on Lua. Approved by the maintainer via comment in the GitHub PR #18768. Also includes the requested Pango version bump in the dependencies of 9999. Closes: https://bugs.gentoo.org/752747 Closes: https://bugs.gentoo.org/755962 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* media-gfx/gimp: no keywords for 2.99.1 (for now)Sam James2020-11-081-1/+1
| | | | | | | | This is a development release upstream, so erring on the side of caution for the time being. Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: 2.99.2 version bump, unstable development previewSergey Torokhov2020-11-083-0/+308
| | | | | | | | | | | | | | | This package could be non-keyworded as depends on >=media-libs/gegl-0.27 that isn't yet released. But GIMP developers noticed me that it was small oversight on tarball package and it's still compatible with gegl-0.4.26. The dependency therefore is dropped to gegl-0.4.26. Add patch to fix compatibility with upcoming autoconf-2.70. Bug: https://bugs.gentoo.org/750575 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: update live-ebuild, switch to SLOT "0/3"Sergey Torokhov2020-11-081-44/+49
| | | | | | | | | | | | | | It's time to switch to SLOT "0/3" to follow major gimp API Add USE "vala" as it's optional is fixed by upstream. Add lua? ( dev-lua/lgi ) dependency. Fix "CLEANFILES must be set with '=' before using '+='" error. Update dependencies with portage tree. Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: 2.10.x switch to SLOT="0/2"Sergey Torokhov2020-11-082-2/+2
| | | | | Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: cleanup ebulds depend on py2, droped dev-python/pygtkSergey Torokhov2020-11-044-685/+0
| | | | | | | | | | As media-gimp-2.10.20 is depend on >=media-libs/babl-0.1.78 and >=media-gegl-0.4.24 therefore early of them should be dropped too. Closes: https://bugs.gentoo.org/711684 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-gfx/gimp: Stabilize 2.10.20-r2 amd64, #743799Mikle Kolyada2020-10-311-1/+1
| | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-gfx/gimp: 2.10.22 fix mypaint-brushes dependencyband-a-prend2020-10-211-1/+1
| | | | | | | | | | | | | | | While removing conditional check of mypaint-brushes version the appropreate version of this dependency wasn't updated resulting in configuration error if user still has mypaint-brushes-1.3.0, that was already removed from portage tree at gimp version bump. Offered change doesn't affect users that installed gimp-2.10.22 so there is no revision bump. Closes: https://bugs.gentoo.org/747487 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/17985 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* media-gfx/gimp: stabilize 2.10.20-r2 on ppc64Joonas Niilola2020-10-201-1/+1
| | | | | Bug: https://bugs.gentoo.org/743799 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* media-gfx/gimp: 2.10.22 version bumpSergey Torokhov2020-10-082-0/+212
| | | | | | Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/17777 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: arm64 stable (bug #743799)Sam James2020-09-231-1/+1
| | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: forward stable keywords to 2.10.18-r2Sam James2020-09-221-1/+1
| | | | | | | r1 -> r2 is just fixing the mypaint-brushes dependency. Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: x86 stable (bug #743799)Thomas Deutschmann2020-09-211-1/+1
| | | | | Package-Manager: Portage-3.0.7, Repoman-3.0.1 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* media-gfx/gimp: drop pygtk, python2 dependencies in 2.10.20Sergey Torokhov2020-09-201-0/+213
| | | | | | | | Bug: https://bugs.gentoo.org/711684 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/17599 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: Drop 2.10.14-r1Andreas Sturmlechner2020-08-302-231/+0
| | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: x86 stable (bug #720162)Thomas Deutschmann2020-08-301-1/+1
| | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* media-gfx/gimp: Drop 2.10.20 (r0)Andreas Sturmlechner2020-08-221-224/+0
| | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: Drop 2.8.22-r2 and 2.9.8-r1Andreas Sturmlechner2020-08-2215-1066/+2
| | | | | | | | Effectively dropping to ~ppc. Bug: https://bugs.gentoo.org/685624 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: Rollover ~ppc to 2.10.20-r1Andreas Sturmlechner2020-08-221-1/+1
| | | | | | | Keywording took so long an old version was done. Package-Manager: Portage-3.0.2, Repoman-2.3.23 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: update live-ebuildSergey Torokhov2020-08-221-3/+7
| | | | | | Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/17207 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-gfx/gimp: fix build and run with media-gfx/mypaint-brushes:2.0Sergey Torokhov2020-08-222-0/+458
| | | | | | Closes: https://bugs.gentoo.org/737794 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-gfx/gimp: keyworded 2.10.18-r1 for ppcSergei Trofimovich2020-08-111-1/+1
| | | | | | | | keyworded wrt bug # Tested-by: ernsteiswuerfel Package-Manager: Portage-3.0.2, Repoman-2.3.23 RepoMan-Options: --include-arches="ppc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* media-gfx/gimp: move ~arm forwardSam James2020-07-241-1/+1
| | | | | Package-Manager: Portage-3.0.0, Repoman-2.3.23 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: Drop solaris and macos prefixes re bug #690140Kent Fredric2020-07-231-1/+1
| | | | | | | | | | | | Depends: - media-libs/gegl - media-video/ffmpeg - net-misc/wget - dev-perl/IO-Socket-SSL Bug: https://bugs.gentoo.org/690140 Package-Manager: Portage-2.3.103, Repoman-2.3.22 Signed-off-by: Kent Fredric <kentnl@gentoo.org>
* media-gfx/gimp: Drop x64-macos re bug #690140Kent Fredric2020-07-221-1/+1
| | | | | | | | | | | | | Depends: - media-libs/gegl - media-video/ffmpeg - media-video/x264 - dev-lang/nasm - dev-perl/Font-TTF Bug: https://bugs.gentoo.org/690140 Package-Manager: Portage-2.3.103, Repoman-2.3.22 Signed-off-by: Kent Fredric <kentnl@gentoo.org>
* media-gfx/gimp: arm keyworded (bug #685624)Sam James2020-07-171-1/+1
| | | | | Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Sam James <sam@gentoo.org>
* media-gfx/gimp: fix gimp does not respect CC/CC_FOR_BUILD variableSergey Torokhov2020-07-051-1/+3
| | | | | | | | | | | This issue was reported for media-gfx/gimp-2.10.18-r1 and proposed patch is applied here for gimp-2.10.20 Closes: https://bugs.gentoo.org/726176 Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/16199 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* media-gfx/gimp: 2.10.20 version bumpSergey Torokhov2020-07-052-0/+223
| | | | | Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* media-gfx/gimp: update babl, gegl dependencies in 9999.ebuildSergey Torokhov2020-06-251-4/+10
| | | | | | | | | | | | vala support is always currently enabled because of upstream broken configure phase with '--without-vala' option: "configure: error: conditional "ENABLE_VAPIGEN" was never defined. Usually this means the macro was only invoked conditionally." Signed-off-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Closes: https://github.com/gentoo/gentoo/pull/15958 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* media-gfx/gimp: amd64 stable wrt bug #720162Mikle Kolyada2020-05-251-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-gfx/gimp: Mark ~hppaJeroen Roovers2020-05-242-2/+2
| | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
* media-gfx/gimp: arm64 stable (bug #720162)Sam James (sam_c)2020-05-101-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Sam James (sam_c) <sam@cmpct.info> Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-gfx/gimp: stable 2.10.18-r1 for ppc64, bug #720162Sergei Trofimovich2020-05-061-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* media-gfx/gimp: Drop 2.10.8-r2 and 2.10.18Andreas Sturmlechner2020-04-303-438/+0
| | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* media-gfx/gimp: drop sparc because of broken depsRolf Eike Beer2020-04-091-1/+1
| | | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="sparc" Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* media-gfx/gimp: arm64 stable (bug #706368)Sam James (sam_c)2020-04-071-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Sam James (sam_c) <sam@cmpct.info> Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* */*: Drop stable ia64 keywordsMatt Turner2020-04-031-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-gfx/gimp: migrate live and 2.10.18-r1 to CPU_FLAGS_PPCGeorgy Yakovlev2020-03-182-4/+4
| | | | | | Package-Manager: Portage-2.3.94, Repoman-2.3.21 Acked-by: Sergey Torokhov <torokhov-s-a@yandex.ru> Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* media-gfx/gimp-2.10.18-r1: add ~alpha, bug 685624Matt Turner2020-03-171-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-gfx/gimp: arm64 keyworded (bug #685624)Mart Raudsepp2020-03-091-1/+1
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>